Page MenuHomePhabricator

[AIX] Bump DWARF versions to 3 because XCOFF64 requires DWARF64
ClosedPublic

Authored by Jake-Egan on Nov 17 2021, 10:49 AM.

Details

Summary

DWARF64 was implemented at version 3, so if a DWARF version less than 3 is specified, DWARF64 does not get selected. Since XCOFF64 requires DWARF64, the modified tests fail on 64-bit AIX. This patch bumps these tests to dwarf version 3 to maintain test coverage on 64-bit AIX.

Diff Detail

Event Timeline

Jake-Egan requested review of this revision.Nov 17 2021, 10:49 AM
Jake-Egan created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptNov 17 2021, 10:49 AM
Jake-Egan edited the summary of this revision. (Show Details)Nov 17 2021, 10:54 AM

Dumb question, where is the dwarf version specified?

Dumb question, where is the dwarf version specified?

The input ll will specify the DWARF info, see Dwarf Version.

So could we change the input "Dwarf Version" to 3 or above if the version is not a test point to the tests? Keeping these debug tests for AIX should be preferred.

Yeah, probably fine to bump the DWARF version instead of exculding these tests from AIX coverage.

Jake-Egan planned changes to this revision.Nov 28 2021, 7:02 PM

Updated patch to bump dwarf versions instead.

Jake-Egan retitled this revision from [AIX] Mark tests using DWARF version less than 3 as unsupported because XCOFF64 requires DWARF64 to [AIX] Bump DWARF versions to 3 because XCOFF64 requires DWARF64.Jan 31 2022, 12:11 PM
Jake-Egan edited the summary of this revision. (Show Details)
dblaikie accepted this revision.Jan 31 2022, 12:16 PM

Sounds OK!

This revision is now accepted and ready to land.Jan 31 2022, 12:16 PM
This revision was landed with ongoing or failed builds.Feb 1 2022, 8:18 AM
This revision was automatically updated to reflect the committed changes.